Read one execution with per-step request/response/error
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/executions/{exec_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/executions/{exec_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/flow/{uuid}/executions/{exec_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"trigger_payload": {},
"steps": [
{
"step_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"input": {},
"output": {},
"error": "<string>"
}
]
}
}{
"success": false,
"message": "Agent not found",
"data": []
}Flow Executions
Read one execution with per-step request/response/error
Returns the full trigger payload that fired this run plus a steps[] array — for each step: status, duration, the resolved input, the handler’s output, and any error message. Use this to debug a failed flow run.
GET
/
api
/
v1
/
flow
/
{uuid}
/
executions
/
{exec_uuid}
Read one execution with per-step request/response/error
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
⌘I